Bug 73004 - Wrong packages in some package groups
Wrong packages in some package groups
Status: CLOSED NOTABUG
Product: Red Hat Public Beta
Classification: Retired
Component: distribution (Show other bugs)
null
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-29 17:16 EDT by Peter van Egdom
Modified: 2014-03-16 22:30 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-30 19:41:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter van Egdom 2002-08-29 17:17:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.1) 
Gecko/20020826

Description of problem:

When starting "redhat-config-packages" and looking at the packages, I see
that some packages are really put in a wrong category :

 Desktops -> X Window System
   -> authconfig-gtk        --> System tools
   -> firstboot             --> System tools
   -> openssh-askpass       --> System tools
   -> openssh-askpass-gnome --> System tools
   -> redhat-config-*       --> should be in Server Configuration Tools
   -> redhat-logviewer      --> should be in System tools
   -> up2date-gnome         --> GNOME
   -> usermode-gtk          --> System tools
   -> xisdnload             --> ?

 Desktops -> GNOME Desktop Environment
   -> hwbrowser             --> System tools

 Desktops -> KDE Desktop Environment
   -> fam                   --> definately not here. :-)
   -> htdig                 --> definately not here. :-)
   -> xinetd                --> definately not here. :-)

Graphical Internet :
  - Knode  (only Graphical Internet)  --> should be also in KDE
  - Korn   (only Graphical Internet)  --> should be also in KDE

Kmid Kmidi ---> should be in KDE (now only in Sound)


Furthermore there is a really strange dependency issue :

What happens if you select - or deselect - a package that is a member of
- for example - Graphical Internet _AND_ KDE (what happens if you select
- or deselect - it from KDE but not from Graphical internet - and vice
versa). There are a couple of such programs :

 Kmail (both in KDE & in Graphical Internet)
 Kit   (both in KDE & in Graphical Internet)


(Sound & Video) and KDE :
Koncd Kaboodle Kdeaddons-noatun

Graphics and KDE :
kamera, kiconedit, kooka, kpaint, kuickshow

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Checkout redhat-config-packages
2. Observe the packages / categories.
3.
	

Actual Results:
- I see some strange locations for some packages (e.g. xinetd in KDE).

- I see some double entries for some packes which may cause confusion
  when selecting / deselecting.

Expected Results:  No strange packages / locations

Additional info:

[root@localhost rpm]# rpm -qa |grep -i rhpl 
rhpl-0.50-1
[root@localhost rpm]# rpm -qa |grep -i redhat |grep package
redhat-config-packages-0.94-1
[root@localhost rpm]#
Comment 1 Bill Nottingham 2002-08-30 19:41:02 EDT
fam, htdig, etc. are KDE requirements (at least, soft ones.)

The tools mentioned under X are part of the standard GUI setup.
Comment 2 Peter van Egdom 2002-10-31 15:11:29 EST
Uhm... ok... Closing bug.

Note You need to log in before you can comment on or make changes to this bug.